classification
Title: Add docs for asyncio package (Tulip, PEP 3156)
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: eric.araujo, eric.snow, ezio.melotti, georg.brandl, giampaolo.rodola, gvanrossum, martin.panter, pconnell, pitrou, python-dev, vstinner
Priority: deferred blocker Keywords: patch

Created on 2013-10-18 22:58 by gvanrossum, last changed 2014-01-23 13:49 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
asynciodoc.patch gvanrossum, 2013-11-22 18:56 review
asyncio_stub.patch pitrou, 2013-11-22 23:29 review
Messages (10)
msg200324 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2013-10-18 22:58
The asyncio module needs documentation.  I'll work on this in time for the beta 1 release.  Until then, please refer to PEP 3156.
msg203834 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2013-11-22 18:56
I need help!

There is one urgent issue: should the chapter on asyncio go into section 17 (Concurrent Execution) or section 18 (Interprocess Communication and Networking)???  It would seem that event loops and coroutines fit better in section 17, while transports and protocols fit better in section 18. :-(  HELP!!

After that, I need help writing the docs. Most of it can probably be copy-pasted from PEP 3156, but I haven't written Python docs for a long time and I could use some help with how to structure it.  Ideally we'd find some volunteers who enjoy writing documentation to take over this project.

In the mean time, I have a patch that adds a stub with a reference to the PEP, so people can at least navigate to the docs without already knowing the PEP number.  It adds it to section 17 for now.
msg203838 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-11-22 19:08
> There is one urgent issue: should the chapter on asyncio go into
> section 17 (Concurrent Execution) or section 18 (Interprocess
> Communication and Networking)???

I'd put it in 18. Also, I'd move select and selectors from 17 to 18, so that only purely "execution" modules remain in 17, and anything network-related is in the same chapter.
msg203848 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-11-22 19:47
I was thinking the same thing as Antoine.  18 fits in more closely to what I understand is the purpose of asyncio (the focus on IO).
msg203851 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2013-11-22 19:55
OK. I accidentally committed the patch. Will move the three modules to the
ipc section now.

On Fri, Nov 22, 2013 at 11:47 AM, Eric Snow <report@bugs.python.org> wrote:

>
> Eric Snow added the comment:
>
> I was thinking the same thing as Antoine.  18 fits in more closely to what
> I understand is the purpose of asyncio (the focus on IO).
>
> ----------
> nosy: +eric.snow
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue19291>
> _______________________________________
>
msg203916 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-11-22 23:29
Following patch stubs a couple of things, this is very crude though.
msg203917 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2013-11-22 23:33
Thanks -- please just commit, we can iterate.
msg203918 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-22 23:34
New changeset e4b7377a690a by Antoine Pitrou in branch 'default':
Issue #19291: add crude stubs to the asyncio docs
http://hg.python.org/cpython/rev/e4b7377a690a
msg203997 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-11-23 13:07
I've done a bit of it now, I'll let other people continue.
msg208922 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-01-23 13:49
> I've done a bit of it now, I'll let other people continue.

I continued the work on the documentation. Even if it's not complete, I consider that the initial issue "Add docs for asyncio package (Tulip, PEP 3156)" is done, and so I close the issue.
History
Date User Action Args
2014-01-23 13:49:23vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg208922
2013-11-23 14:13:19pconnellsetnosy: + pconnell
2013-11-23 13:07:20pitrousetmessages: + msg203997
2013-11-22 23:34:32python-devsetnosy: + python-dev
messages: + msg203918
2013-11-22 23:33:47gvanrossumsetmessages: + msg203917
2013-11-22 23:29:40pitrousetfiles: + asyncio_stub.patch

messages: + msg203916
2013-11-22 19:55:33gvanrossumsetmessages: + msg203851
2013-11-22 19:47:29eric.snowsetnosy: + eric.snow
messages: + msg203848
2013-11-22 19:08:26pitrousetnosy: + pitrou
messages: + msg203838
2013-11-22 18:56:12gvanrossumsetfiles: + asynciodoc.patch
keywords: + patch
messages: + msg203834
2013-11-14 09:30:35vstinnersetnosy: + vstinner
2013-11-14 02:41:12martin.pantersetnosy: + martin.panter
2013-10-21 00:08:04ezio.melottisettype: enhancement
components: + Documentation
stage: needs patch
2013-10-19 15:08:08pitrousetnosy: + georg.brandl, ezio.melotti, eric.araujo
2013-10-19 00:46:32giampaolo.rodolasetnosy: + giampaolo.rodola
2013-10-18 22:58:39gvanrossumcreate